Subject: bug#16280: 24.3.50; [PATCH] eww: Add new function to clean browser histories.

From: Kenjiro NAKAYAMA <[email-masked]>
Date: Sun, 05 Jan 2014 20:07:41 +0900

> I'm not sure this is useful.  The history is only a local buffer
> variable, isn't it?  The normal way to make stuff "go away" in Emacs is
> to kill the buffer, and that should do the trick for the history, too.

Yes, that's right. I agree with you.
This function is not necessary.

Kenjiro

[email-masked] writes:

> Kenjiro NAKAYAMA <[email-masked]> writes:
>
>> +(defun eww-history-cleanup ()
>> +  (interactive)
>> +  (if (y-or-n-p "clean up browser histories? ")
>> +      (progn
>> +       (setq-local eww-history nil)
>> +       (setq-local eww-history-position 0))))
>
> I'm not sure this is useful.  The history is only a local buffer
> variable, isn't it?  The normal way to make stuff "go away" in Emacs is
> to kill the buffer, and that should do the trick for the history, too.